//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include "WSockets.hpp"
#include "mdTray.hpp"
#include "mdMsgCmp.hpp"
#include "TJabber.h"
//---------------------------------------------------------------------------
const AnsiString VERSION="Jabber for Windows V0.04";
const AnsiString PROTOCOL="0.1";


class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TListBox *List;
	TTCPClient *TCP1;

	TJabber *Jabber1;
	TEdit *UName;
	TEdit *Password;
	TEdit *NName;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *Server;
	TLabel *Label3;
	TLabel *Label4;
	TEdit *Priority;
	TEdit *Status;
	TLabel *Label5;
	TLabel *Label6;
	TButton *Button1;
	TButton *Button2;
	TButton *DButton;
	TButton *Button4;
	TEdit *RUsername;
	TEdit *RGroup;
	TLabel *Label7;
	TLabel *Label8;
	TButton *Button5;
	TButton *Button6;
	TLabel *Label9;
	TLabel *Label10;
	TLabel *SText;
	TLabel *PText;
	TButton *Button3;
	void __fastcall TCP1Connect(TObject *Sender, int Socket);
	void __fastcall TCP1Data(TObject *Sender, int Socket);
	
	
	
	void __fastcall Jabber1ServerInfo(TObject *Sender, AnsiString Version,
	AnsiString Protocol);
	void __fastcall Jabber1NewNote(TObject *Sender, AnsiString From,
	AnsiString FromNickName, AnsiString Ext, AnsiString Thread,
	AnsiString Priority, AnsiString Subject, AnsiString Message);
	void __fastcall Jabber1SendData(TObject *Sender, AnsiString Data);
	
	
	
	void __fastcall Jabber1RosterUpdate(TObject *Sender);
	
	
	
	
	
	
	
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button5Click(TObject *Sender);
	void __fastcall DButtonClick(TObject *Sender);
	
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);

	
	void __fastcall Button6Click(TObject *Sender);
	
	void __fastcall Button3Click(TObject *Sender);
private:	// User declarations
    AnsiString Buffer;
    void __fastcall SetCaption(AnsiString Caption);
    void __fastcall JabberNote(AnsiString From, AnsiString Nickname, AnsiString Ext, AnsiString Thread, AnsiString Priority, AnsiString Subject, AnsiString Message);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
